"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.MAXIMUM_SIZE_EXCEEDED = exports.BAD_USERNAME_OR_PASSWORD = exports.NOT_IMPLEMENTED_ARGUMENT = exports.BAD_SEQUENCE = exports.NOT_IMPLEMENTED = exports.SYNTAX_ERROR_ARGUMENT = exports.SYNTAX_ERROR = exports.SERVER_SHUTTING_DOWN = exports.START_MAIL_INPUT = exports.TLS_GO_AHEAD = exports.OK = exports.AUTHENTICATION_SUCCESSFUL = exports.BYE = void 0;
// 2xx Success
exports.BYE = [221, 'Bye'];
exports.AUTHENTICATION_SUCCESSFUL = [
    235,
    'Authentication successful',
];
exports.OK = [250, 'Ok'];
exports.TLS_GO_AHEAD = [220, 'TLS go ahead'];
// 3xx Additional data required
exports.START_MAIL_INPUT = [
    354,
    'End data with <CR><LF>.<CR><LF>',
];
// 4xx Persistent transient failure
exports.SERVER_SHUTTING_DOWN = [
    421,
    'The server is shutting down',
];
// 5xx Permanent errors
exports.SYNTAX_ERROR = [500, 'Syntax error'];
exports.SYNTAX_ERROR_ARGUMENT = [
    501,
    'Syntax error in parameters or arguments',
];
exports.NOT_IMPLEMENTED = [502, 'Not implemented'];
exports.BAD_SEQUENCE = [503, 'Bad sequence of commands'];
exports.NOT_IMPLEMENTED_ARGUMENT = [
    504,
    'Command parameter is not implemented',
];
exports.BAD_USERNAME_OR_PASSWORD = [
    535,
    'Bad username or password',
];
exports.MAXIMUM_SIZE_EXCEEDED = [552, 'Maximum size exceeded'];
