import { microMTA } from './';
import { microMTAMessage } from './message';
export declare type microMTAMessageEventListener = (this: microMTA, message: microMTAMessage) => void;
export declare type microMTARejectedEventListener = (this: microMTA, sender: string, recipients: string[]) => void;
export declare type microMTAErrorEventListener = (this: microMTA, error: Error) => void;
export interface microMTAEvents {
    message: Set<microMTAMessageEventListener>;
    error: Set<microMTAErrorEventListener>;
    rejected: Set<microMTARejectedEventListener>;
}
